LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XStatusIndicatorSupplier Interface Referencepublished

use XStatusIndicatorFactory instead of this More...

`import <XStatusIndicatorSupplier.idl;`

Inheritance diagram for XStatusIndicatorSupplier:

## Public Member Functions
com::sun::star::task::XStatusIndicator | getStatusIndicator ()
| use XStatusIndicatorFactory::createStatusIndicator() instead of this
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

use XStatusIndicatorFactory instead of this

Deprecated

## Member Function Documentation

## ◆ getStatusIndicator()

com::sun::star::task::XStatusIndicator getStatusIndicator | ( |  | ) |

use XStatusIndicatorFactory::createStatusIndicator() instead of this

Deprecated

The documentation for this interface was generated from the following file:

- com/sun/star/task/XStatusIndicatorSupplier.idl